Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

List orders

Returns a paginated list of orders for a shop. Requires admin scope. Supports filtering by status, date ranges, amounts, and geo-location.

GET/shops/{shop_id}/orders
Authorization
AuthorizationBearer token (JWT) · headerrequired

OAuth 2.0 Bearer token. Obtain via POST https://auth.onbolder.com/oauth/token.

Scopes:admin
Path parameters
shop_idstringrequired

Shop ID or subdomain

Query parameters
pageinteger

Page number

default: 1
per_pageinteger

Items per page

default: 50
qstring

Full-text search

statusstring

Comma-separated order statuses. Use successful as a shorthand for closed,shipped. Values: all, checkout, pending, closed, shipped, invalid, successful

codestring

Order code, e.g. R1C3964

product_idinteger

Filter by product ID

payment_methodstring

Payment method slug, e.g. webpay

created_on_gtestring<date>

Created on or after

created_on_ltestring<date>

Created on or before

updated_on_gtestring<date>
updated_on_ltestring<date>
pending_on_gtestring<date>
pending_on_ltestring<date>
closed_on_gtestring<date>
closed_on_ltestring<date>
shipped_on_gtestring<date>
shipped_on_ltestring<date>
net_total_gteinteger

Net total in cents, minimum

net_total_lteinteger

Net total in cents, maximum

total_gteinteger
total_lteinteger
shipping_total_gteinteger
shipping_total_lteinteger
discount_total_gteinteger
discount_total_lteinteger
lat_longstring

Latitude,longitude pair for geo-filtering, e.g. 0.54322222,1.4444422

distancestring

Radius from lat_long, e.g. 10km

default: "5km"
sortstring
default: "created_on.desc"
Allowed:created_on.asccreated_on.descupdated_on.ascupdated_on.descpending_on.ascpending_on.descclosed_on.ascclosed_on.descshipped_on.ascshipped_on.desc
Responses
200

Paginated orders list

total_itemsinteger
pageinteger
per_pageinteger
_linksobject
Show properties
selfHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
nextHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
lastHalLink
Show properties
hrefstring
methodstring
titlestring
typestring
templatedboolean
_embeddedobject
Show properties
itemsOrderSummary[]
Show properties
Array of OrderSummary
idinteger
shop_idinteger
codestring
statusstring
Allowed:checkoutpendingclosedshippedinvalid
net_totalinteger

Order subtotal in cents (before shipping/discounts)

totalinteger

Final total in cents

shipping_totalinteger
shipping_descriptionstring
discount_totalinteger
tracking_codestring | null
courier_namestring | null
total_weight_in_gramsinteger
created_onstring<date-time>
updated_onstring<date-time>
pending_onstring<date-time> | null
closed_onstring<date-time> | null
shipped_onstring<date-time> | null
fulfillmentobject
Show properties
fulfillment_methodstring
Allowed:shippingpickup
payment_infoobject
Show properties
typestring
namestring
auth_codestring
transaction_idstring
_linksobject
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v1/shops/string/orders' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "total_items": 0,
  "page": 0,
  "per_page": 0,
  "_links": {
    "self": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "next": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    },
    "last": {
      "href": "string",
      "method": "string",
      "title": "string",
      "type": "string",
      "templated": true
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 0,
        "shop_id": 0,
        "code": "string",
        "status": "checkout",
        "net_total": 0,
        "total": 0,
        "shipping_total": 0,
        "shipping_description": "string",
        "discount_total": 0,
        "tracking_code": "string",
        "courier_name": "string",
        "total_weight_in_grams": 0,
        "created_on": "2019-08-24T14:15:22Z",
        "updated_on": "2019-08-24T14:15:22Z",
        "pending_on": "2019-08-24T14:15:22Z",
        "closed_on": "2019-08-24T14:15:22Z",
        "shipped_on": "2019-08-24T14:15:22Z",
        "fulfillment": {
          "fulfillment_method": "shipping"
        },
        "payment_info": {
          "type": "string",
          "name": "string",
          "auth_code": "string",
          "transaction_id": "string"
        },
        "_links": {}
      }
    ]
  }
}

Was this page helpful?